<?php
//TITLE=Internet radio server

$title = 'Internet radio server';
$progname = 'bisqradio';

function usagetext($prog)
{
  exec($prog.' --help', $kk);
  $k='';foreach($kk as $s)$k.="$s\n";
  return $k;
}

$text = array(
   '1. Purpose' => "

Enables making your unix server broadcast audio.

", '1. Program list' => "

bisqradio consists of several tool
programs, which work tightly together.

", '1.1. radio_http' => "

Listens to the HTTP queries to satisfy
the clients (the browsers and the players).

", '1.1. radio_mp3' => "

Responsible of generating the mp3
feed for a client from a given input.

", '1.1. radio_ssh' => "

Optionally run if required. Launches the mp3 encoder
on remote computer (with possibly more cpu power).

", '1.1. radio_tcp' => "

The center of the radio. Servers clients with feed from
the <a href=\"#mixer\">mixer</a> process piped through
the mp3 encoder. Doesn't read the mixer if there are no
clients. Doesn't keep other clients waiting if somebody is lagging.<br>
Doesn't bother to decode mp3 frames, so it will possibly
give broken frames at the beginning. Most mp3 decoders
survive from it without any faults, so it is not serious.
Shoutcast and icecast seem to do the same.

", 'wg:1.1. wg' => "

These tool programs are actually part of
<a href=\"/src/index/wg\">another software package</a>
available separately.
It's included within this archive too, anyway.

", 'hum:1.1.1. hum' => "

Generates semiquiet stream. Useful if you want to keep
the mixer quiet (if your mixeridle if not so quiet).
Does not just output zero. Plain zero stream is hard
to analyze for LAME.

", 'streamixer:1.1. streamixer' => "

These tools are also a part of 
<a href=\"/src/index/streamixer\">another software package</a>,
but they are here too.

", 'mixer:1.1.1. mixer' => "

A stream mixing server. It accepts <a href=\"#mixwrite\">mixwrite</a>
and <a href=\"#mixmon\">mixmon</a> -connections.
<br>Provides a server for audio stream mixing.<br>
Meant to be a replacement for esd, with
much more features and much less cpu usage.

", 'mixmon:1.1.1. mixmon' => "

Monitors the mixer over a tcp connection,
reading whatever is being mixed to it.

", 'mixwrite:1.1.1. mixwrite' => "

Sends stream to the mixer over a tcp connection.

", 'resample:1.1.1. resample' => "

Resamples audio stream from one format to another format.

<pre class=smallerpre>".htmlspecialchars(usagetext('resample'))."</pre>

", 'mixeridle:1.1.1. mixeridle' => "

Generates idle stream for the mixer, if there
are readers for the mixer but no writers.<br>
Actually has been hardcoded to play something nasty...
you should customize it :)

", 'erec:1.1. erec' => "

This is a <a href=\"/src/index/erec\">separate tool</a>
also, but it is included in the archive too.

<pre class=smallerpre>".htmlspecialchars(usagetext('erec'))."</pre>

", '1. Copying' => "

bisqradio has been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.iki.fi/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

", '1. Requirements' => "

GNU make is required.<br>
<a href=\"http://www.php.net/\">PHP</a> standalone binary is required.<br>
<a href=\"http://www.sulaco.org/mp3/\">LAME</a> is required.<br>
esd can be used. It is no longer required though.<br>
ssh can also be used.<br>

<p>
Note: If you want to look at earlier versions, have a look at
<a href=\"/src/index/wavegenerator\">wavegenerator</a>. The earlier
versions were together in a same archive.

");
include '/WWW/progdesc.php';
